Liberado Debian GNU/Linux 2.1r4

15 de diciembre de 1999

Se ha liberado una nueva versión de Debian GNU/Linux 2.1 (también conocida como Slink). La nueva versión, la 2.1r4, incluye actualizaciones tanto de seguridad como relativas al año 2000.

Actualmente no somos conscientes de ningún problema destacable relacionado con el año 2000. Si encontramos alguno nuevo lo haremos saber en nuestra página sobre el año 2000 en https://www.debian.org/y2k/.

Ésta es una lista completa de los paquetes que han cambiado con esta nueva versión:

Actualizaciones de seguridad:
  paquete       : amd
  versión       : 102-23.slink2
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit remoto

  paquete       : bind
  versión       : 8.2.2p5-0slink1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: denegación de servicio remota

  paquete       : dump
  versión       : 0.4b9-0slink1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit local

  paquete       : kernel-source-2.0.38
  versión       : 2.0.38-0
  arquitecturas : i386
  vulnerabilidad: varios

  paquete       : htdig
  versión       : 3.1.2-4slink6
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit remoto

  paquete       : inn
  versión       : 1.7.2-4.1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: corregido desbordamiento de búfer en inews

  paquete       : lpr
  versión       : 0.46-1-0slink1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit local (los usuarios podían imprimir archivos
						que no podían leer)

  paquete       : mirror
  versión       : 2.9-2.1
  arquitecturas : todas
  vulnerabilidad: exploit remoto

  paquete       : netkit-telnet
  versión       : 0.12-4slink.1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: denegación de servicio remota

  paquete       : nfs-server
  versión       : 2.2beta37-1slink.1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit remoto

  paquete       : nis
  versión       : 3.5-2
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit remoto

  paquete       : proftpd
  versión       : 1.2.0pre9-4
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit remoto

  paquete       : pvm
  versión       : 3.4beta7-4
  arquitecturas : i386
  vulnerabilidad: exploit local

  paquete       : rvplayer
  versión       : 5.0-9
  arquitecturas : i386
  vulnerabilidad: exploit local

  paquete       : termcap-compat
  versión       : 1.1.2
  arquitecturas : i386 m68k (no aplicable a alpha)
  vulnerabilidad: exploit local (desbordamientos de búfer)

  paquete       : sendmail
  versión       : 8.9.3-3slink1.0.1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit local

  paquete       : sendmail-wide
  versión       : 8.9.3+3.2W-3slink1
  arquitecturas : alpha i386 m68k sparc
  vulnerabilidad: exploit local


Actualizaciones para el año 2000:
  paquete       : cvs
  versión       : 1.10.7-1.99.slink.y2k.0
  arquitecturas : alpha i386 m68k sparc
  asunto        : fecha en los registros

  paquete       : egcs
  versión       : 1.1.2-0slink1 and 1.1.2-0slink2
  arquitecturas : alpha i386 m68k sparc
  asunto        : manejo de la fecha en g77

  paquete       : elm-me+
  versión       : 2.4pl25ME+65-0.slink.0
  arquitecturas : alpha i386 m68k sparc
  asunto        : manejo incorrecto de números largos causando errores
  						al ordernar por fechas

  paquete       : enscript
  versión       : 1.6.2-3.99.slink.y2k.0
  arquitecturas : alpha i386 m68k sparc
  asunto        : Las versiones anteriores a la 1.6.1 se sabe que tienen
						problemas con fechas del año 2000

  paquete       : gnats
  versión       : 3.113-0slink1
  arquitecturas : alpha i386 m68k sparc
  asunto        : corregidos problemas con el año 2000

  paquete       : gs
  versión       : 5.10-3.99.slink.1
  arquitecturas : alpha i386 m68k sparc
  asunto        : corregidos problemas con el año 2000

  paquete       : sharutils
  versión       : 1:4.2.1-1
  arquitecturas : alpha i386 m68k sparc
  asunto        : manejo de la fecha en archivos de shar

  paquete       : smartlist
  versión       : 3.13-2
  arquitecturas : alpha i386 m68k sparc
  asunto        : número de volúmenes al procesar mensajes recopilados

Otras actualizaciones:
  paquete       : boot-floppies
  versión       : 2.1.12
  architecture  : i386
  problema      : actualizado al nuevo núcleo 2.0.38

  paquete       : mew
  versión       : 1.93-2
  arquitecturas : m68k
  problema      : sincronizado con otras arquitecturas

  paquete       : pcmcia-cs
  versión       : 3.0.5-10.slink.1
  arquitecturas : i386
  problema      : recompilado para el nuevo núcleo 2.0.38

  paquete       : selfhtml
  versión       : 7.0-3
  arquitecturas : alpha i386 m68k sparc
  problema      : violación de marca registrada

  paquete       : trn
  versión       : 3.6-9.3.2
  arquitecturas : m68k
  problema      : sincronizado con otras arquitecturas

  paquete       : vflib2
  versión       : 2.24.2-2.99.slink.0
  arquitecturas : alpha i386 m68k sparc
  asunto        : lo necesita el nuevo gs

Notas:
* la actualización nfs-server para la arquitectura sparc tiene una versión anterior a la usada en las anteriores liberaciones de slink. Tendrá que actualizarlo manualmente a la nueva versión.